> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bliper.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Foto do Grupo

> Altera a foto/ícone de um grupo (requer ser administrador)

## Descrição

Altera a foto ou ícone de um grupo do WhatsApp. É necessário ser administrador do grupo para realizar esta operação.

## Request

### Headers

```
Client-Token: SEU_CLIENT_TOKEN
Content-Type: application/json
```

### Body

```json theme={null}
{
  "groupId": "120363356737170752-group",
  "groupPhoto": "https://exemplo.com/foto.jpg"
}
```

| Campo        | Tipo   | Obrigatório | Descrição                                            |
| ------------ | ------ | ----------- | ---------------------------------------------------- |
| `groupId`    | string | Sim         | JID do grupo                                         |
| `groupPhoto` | string | Sim         | URL pública da imagem a ser usada como foto do grupo |

## Response

### Sucesso (200)

```json theme={null}
{
  "success": true
}
```

## Exemplo cURL

```bash theme={null}
curl -X POST 'https://api.bliper.io/instances/{INSTANCE_ID}/token/{INSTANCE_TOKEN}/update-group-photo' \
  -H 'Client-Token: SEU_CLIENT_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"groupId": "120363356737170752-group", "groupPhoto": "https://exemplo.com/foto.jpg"}'
```
